@c DO NOT EDIT THIS FILE!
@c It was generated by print_options.

@section Format AVOptions
@table @option
@item -avioflags @var{flags} (@emph{input/output})

Possible values:
@table @samp
@item direct
reduce buffering
@end table
@item -probesize @var{integer} (@emph{input})
set probing size
@item -packetsize @var{integer} (@emph{output})
set packet size
@item -fflags @var{flags} (@emph{input/output})

Possible values:
@table @samp
@item ignidx
ignore index
@item genpts
generate pts
@item nofillin
do not fill in missing values that can be exactly calculated
@item noparse
disable AVParsers, this needs nofillin too
@item igndts
ignore dts
@item discardcorrupt
discard corrupted frames
@item sortdts
try to interleave outputted packets by dts
@item keepside
dont merge side data
@item latm
enable RTP MP4A-LATM payload
@item nobuffer
reduce the latency introduced by optional buffering
@end table
@item -seek2any @var{integer} (@emph{input})
forces seeking to enable seek to any mode
@item -analyzeduration @var{integer} (@emph{input})
specify how many microseconds are analyzed to probe the input
@item -cryptokey @var{hexadecimal string} (@emph{input})
decryption key
@item -indexmem @var{integer} (@emph{input})
max memory used for timestamp index (per stream)
@item -rtbufsize @var{integer} (@emph{input})
max memory used for buffering real-time frames
@item -fdebug @var{flags} (@emph{input/output})
print specific debug info

Possible values:
@table @samp
@item ts

@end table
@item -max_delay @var{integer} (@emph{input/output})
maximum muxing or demuxing delay in microseconds
@item -fpsprobesize @var{integer} (@emph{input})
number of frames used to probe fps
@item -audio_preload @var{integer} (@emph{output})
microseconds by which audio packets should be interleaved earlier
@item -chunk_duration @var{integer} (@emph{output})
microseconds for each chunk
@item -chunk_size @var{integer} (@emph{output})
size in bytes for each chunk
@item -f_err_detect @var{flags} (@emph{input})
set error detection flags (deprecated; use err_detect, save via avconv)

Possible values:
@table @samp
@item crccheck
verify embedded CRCs
@item bitstream
detect bitstream specification deviations
@item buffer
detect improper bitstream length
@item explode
abort decoding on minor error detection
@item careful
consider things that violate the spec and have not been seen in the wild as errors
@item compliant
consider all spec non compliancies as errors
@item aggressive
consider things that a sane encoder shouldnt do as an error
@end table
@item -err_detect @var{flags} (@emph{input})
set error detection flags

Possible values:
@table @samp
@item crccheck
verify embedded CRCs
@item bitstream
detect bitstream specification deviations
@item buffer
detect improper bitstream length
@item explode
abort decoding on minor error detection
@item careful
consider things that violate the spec and have not been seen in the wild as errors
@item compliant
consider all spec non compliancies as errors
@item aggressive
consider things that a sane encoder shouldnt do as an error
@end table
@item -use_wallclock_as_timestamps @var{integer} (@emph{input})
use wallclock as timestamps
@item -avoid_negative_ts @var{integer} (@emph{output})
shift timestamps to make them positive. 1 enables, 0 disables, default of -1 enables when required by target format.
@item -skip_initial_bytes @var{integer} (@emph{input})
skip initial bytes
@item -correct_ts_overflow @var{integer} (@emph{input})
correct single timestamp overflows
@end table
